# Class PWMATWriter

java.lang.Object
org.jmol.adapter.writers.XtlWriter
org.jmol.adapter.writers.PWMATWriter

All Implemented Interfaces:
  `JmolWriter`

public class PWMATWriter extends XtlWriter implements JmolWriter
A writer for PWMAT atom.config files.

## Field Summary

### Fields inherited from class XtlWriter

`haveUnitCell, isHighPrecision, precision, slop`

## Constructor Summary

Constructors
Constructor
Description
`PWMATWriter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`set(Viewer viewer, OC oc, Object[] data)`
`String`
`toString()`
`String`
`write(BS bs)`

### Methods inherited from class XtlWriter

`clean, cleanT`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PWMATWriter

public PWMATWriter()

## Method Details

### set

public void set(Viewer viewer, OC oc, Object[] data)

Specified by:
  `set` in interface `JmolWriter`

### write

public String write(BS bs)

Specified by:
  `write` in interface `JmolWriter`

### toString

public String toString()

Overrides:
  `toString` in class `Object`